# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.registry.ModelResolverRegistry

Packages that use ModelResolverRegistry
Package
Description
org.eclipse.emf.compare.ide.ui.internal
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.registry

## Uses of ModelResolverRegistry in org.eclipse.emf.compare.ide.ui.internal

Methods in org.eclipse.emf.compare.ide.ui.internal that return ModelResolverRegistry
Modifier and Type
Method
Description
`ModelResolverRegistry`
EMFCompareIDEUIPlugin.`getModelResolverRegistry()`
Returns the registry containing all known model resolvers.

## Uses of ModelResolverRegistry in org.eclipse.emf.compare.ide.ui.internal.logical.resolver.registry

Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver.registry with parameters of type ModelResolverRegistry
Modifier
Constructor
Description
``
`ModelResolverRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, ModelResolverRegistry registry)`
Initialize a registry event listener for our model resolvers.